/*
 * Book's Story — free and open-source Material You eBook reader.
 * Copyright (C) 2024-2026 Acclorite
 * SPDX-License-Identifier: GPL-3.0-only
 */

package org.dueattendant149.bookshelf.domain.repository

import org.dueattendant149.bookshelf.domain.model.library.Book
import org.dueattendant149.bookshelf.domain.model.remote.RemoteLibrary

interface RemoteLibraryRepository {
    suspend fun getLibraries(): Result<List<RemoteLibrary>>
    suspend fun getBooks(libraryId: String): Result<List<Book>>
    suspend fun searchLibrary(libraryId: String, query: String): Result<List<Book>>
}
